Skip to main content
GET
/
v3
/
profiles
/
{profile}
/
addresses
/
{address}
Read Profile Address
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/addresses/{address}
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/addresses/{address}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/addresses/{address}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "address_line_1": "<string>",
    "address_line_2": "<string>",
    "address_line_3": "<string>",
    "company": "<string>",
    "latitude": 123,
    "longitude": 123,
    "city": "<string>",
    "postcode": "<string>",
    "state": "<string>",
    "country": "<string>",
    "notes": "<string>",
    "external_id": "<string>",
    "is_default": true,
    "created_at": "<string>",
    "updated_at": "<string>",
    "meta": [
      "<unknown>"
    ],
    "name": "<string>",
    "type": "<string>",
    "phone": "<string>",
    "iso": "<string>",
    "iso_state": "<string>",
    "profile_id": "<string>",
    "custom_fields": {}
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
Looking for multiple addresses?This request will get a specific address against a profile by id. If you need to get all addresses listed against a profile, consider using Browse Profile Addresses

Path Parameters

profile
string<uuid>
required

The profile ID

address
integer
required

The address ID

Response

Address

data
Address · object
required